Name:           mysqludf_xql
Version:        0.9.7
Release:        5%{?dist}
Summary:        MySQL UDF library for XML output

Group:          Applications/Databases
License:        LGPLv2+
URL:            http://www.mysqludf.org/lib_mysqludf_xql/
Source0:        http://www.mysqludf.org/lib_mysqludf_xql/lib_%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         lib_mysqludf_xql-0.9.7-autorepair.patch

BuildRequires:  gcc-c++ mysql-devel libxml2-devel libtool autoconf automake
Requires:       mysql-server

%description
The lib_mysqludf_xql library provides an array of functions, which can be used 
to create XML output directly from MySQL using a single SQL query. 

%prep
%setup -q -n lib_%{name}-%{version}
%patch0 -p1 -b .autorepair
libtoolize -f
autoreconf -f
sed -i 's/\r//' API COPYING installdb.sql

%build
%configure --libdir=%{_libdir}/mysql/
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_libdir}/mysql/*.{a,la}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc API AUTHORS ChangeLog COPYING NEWS README installdb.sql uninstalldb.sql
%{_libdir}/mysql/lib_mysqludf_xql.so


%changelog
* Sun Apr 19 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-5
- file EOL encoding for some docs

* Wed Apr 15 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-4
- require mysql-server instead of just mysql
- fix buildrequires
- hardcode and use mysql libdir

* Thu Apr  9 2009 Yanko Kaneti <yaneti@declera.com> - 0.9.7-2
- Inital packaging
